[tool.poetry]
name = "project"
version = "0.1"
description = "Train a two stage object detector, classifier for tackling partial labelling."
authors = ["rohan.amatya@silverpond.com.au",
"admin@silverpond.com.au"]

[[tool.poetry.source]]
name = "silverpond"
url = "https://pypi.silverpond.com.au/simple"

[tool.poetry.dependencies]
python = "^3.7.9"
#highlighter-client = { git = "git@gitlab.com:silverpond/products/highlighter/highlighter_client_python.git", rev="e7cd9a97e1258102287167fb0b8a156bf5051478", extras = ["dvc"]}
highlighter-client = { path = "../highlighter_client_python"}
highlighter-ml = { path = "../highlighter_ml"}
tqdm = "^4.48.2"
albumentations = "^1.0.3"
enum34 = "==1.1.8" 
click = "^7.1.2"
tbreader = "^1.0.1"
tensorboard = "^2.4.0"
classilvier = "^0.10.2"
#mmpond = {path = "../mmpond"}
silverclassify = {path = "../silverclassify"}
colorama = "^0.4.4"
nltk = "^3.6.2"

[tool.poetry.dev-dependencies]
pytest = "^5.0" 
dvc = "^2.5.4"
jq = "^1.0.2"
jinja2-cli = "^0.7.0"
papermill = "^2.1.3"
black = "19.10b0"
nbconvert = "^5.6.1"

# ToDo. This will work once Merge Requrest #7 is completed
#        for now, if you wish to use this you'll need to
#        checkout the deployment dir from the correct branch.
#        
#        This should do it:
#
#          `(cd ../../infrastructure/; git checkout cortex-deployments -- deployment)`
#highlighter-ops = {path = "../../infrastructure/deployment/highlighter_ops"}

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
